Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

Body

application/json
query
string
required

Search query text.

Maximum string length: 250
retrieval_model
object

Retrieval model configuration. Controls how chunks are searched and ranked when querying this knowledge base.

external_retrieval_model
object

Retrieval settings for external knowledge bases.

attachment_ids
string[] | null

List of attachment IDs to include in the retrieval context.

Response

Retrieval results.

query
object

The original query object.

records
object[]

List of matched retrieval records.